Package net.snowflake.client.log

## Class SFLoggerUtil

- java.lang.Object
- - net.snowflake.client.log.SFLoggerUtil

    public class SFLoggerUtil
    extends Object

### Constructor Summary

Constructors
`SFLoggerUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `initializeSnowflakeLogger()`
`static <T> String` `isVariableProvided​(T variable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFLoggerUtil

    public SFLoggerUtil()

### Method Detail

#### initializeSnowflakeLogger

    public static void initializeSnowflakeLogger()

#### isVariableProvided

    public static <T> String isVariableProvided​(T variable)